import React, { memo } from "react"
import { View, Text, ViewStyle } from "react-native"
import { colors } from "../utils/GlobalUtils"

const Badge: React.FC<{value: number, positioning: {top?: number, left?: number, right?: number, bottom?: number}}> = ({value, positioning}) => {
    return (
        <View style={[positioning, {position: 'absolute', backgroundColor: 'white', paddingVertical: 2, paddingHorizontal: 5, borderRadius: 50}]}>
            <Text style={{fontSize: 10, color: colors.red}}>{value}</Text>
        </View>
    )
}

export default memo(Badge)