import { StyleSheet } from "react-native";
import { colors } from "../../../utils/GlobalUtils";

export const ProfileMainStyles = StyleSheet.create({
    profileMainContainer: {
        flex: 1, 
        width: '100%', 
        height: '100%'
    },
    privacyButtonText: {
        fontSize: 12, 
        textDecorationLine: "underline", 
        alignSelf: "flex-end", 
        color: 'black', 
        paddingHorizontal: 20, 
        paddingTop: 20
    },
    logoutButtonContainer: {
        borderColor: 'lightgray', 
        borderTopWidth: 1, 
        borderBottomWidth: 1, 
        width: '100%'
    },
    logoutButtonText: {
        fontWeight: 'bold', 
        fontSize: 15, 
        paddingVertical: 10, 
        alignSelf: "center", 
        color: colors.red, 
        margin: 10
    },
    profileImage: {
        borderColor: 'gray', 
        borderWidth: 2, 
        height: 150, 
        width: 150, 
        marginTop: 15, 
        marginBottom: -50, 
        borderRadius: 75, 
        alignSelf: 'center', 
        zIndex: 10
    },
    profileSubContainer: {
        backgroundColor: 'white', 
        paddingHorizontal: 10, 
        paddingTop: 40, 
        paddingBottom: 25, 
        width: '100%', 
        borderTopLeftRadius: 25, 
        borderTopRightRadius: 25, 
        borderBottomLeftRadius: 25, 
        borderBottomRightRadius: 25
    },
    headerUsername: {
        textAlign: 'center', 
        marginTop: 20, 
        padding: 10
    },
    
})